Loading...
Searching...
No Matches
{hp,sp}ev: eig, QR iteration
LAPACK » Hermitian/symmetric eigenvalues » Standard eig driver, AV = VΛ
Collaboration diagram for {hp,sp}ev: eig, QR iteration:

## Functions

subroutine | chpev (jobz, uplo, n, ap, w, z, ldz, work, rwork, info)
| CHPEV computes the eigenvalues and, optionally, the left and/or right eigenvectors for OTHER matrices
subroutine | dspev (jobz, uplo, n, ap, w, z, ldz, work, info)
| DSPEV computes the eigenvalues and, optionally, the left and/or right eigenvectors for OTHER matrices
subroutine | sspev (jobz, uplo, n, ap, w, z, ldz, work, info)
| SSPEV computes the eigenvalues and, optionally, the left and/or right eigenvectors for OTHER matrices
subroutine | zhpev (jobz, uplo, n, ap, w, z, ldz, work, rwork, info)
| ZHPEV computes the eigenvalues and, optionally, the left and/or right eigenvectors for OTHER matrices

## Detailed Description